import sensors from './sensorsdata.es6.min.js'

export const init = ({platform_type,business_channel}) => {
  sensors.init({
    server_url: 'https://daoyitong.datasink.sensorsdata.cn/sa?token=b7cc59164b618ef1',
    heatmap: {
      scroll_notice_map: 'not_collect',
      get_vtrack_config: false
    },
    is_track_single_page: true,
    use_client_time: true,
    send_type: 'beacon',
    show_log: process.env.NODE_ENV === "development",
    app_js_bridge: true
  });
  sensors.registerPage({
    platform_type,
    business_channel
  })

  sensors.quick('autoTrack')
}

export * from './event.js'


